import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'

// https://vite.dev/config/
export default defineConfig({
  plugins: [vue()],
  define: {
    'import.meta.env.MODE': JSON.stringify(process.env.NODE_ENV || 'development')
  },
  server: {
    host: '0.0.0.0', // 允许从任何IP访问
    port: 5173,      // 前端端口
    strictPort: true
  }
})
